---
obj: application
---
# Pacman
Pacman is the default [Arch Linux](../../linux/Arch%20Linux.md) Package Manager

## Usage
Search for a package: 
```shell
pacman -Ss <package>...
```

Update the local package base and upgrade all out-of-date packages:
```shell
pacman -Suy
```

Install a package:
```shell
pacman -S <package>...
```

Uninstall a package:
```shell
pacman -R <package>...
```

Uninstall a package and its depedencies, removing all new orphans:
```shell
pacman -Rcs <package>...
```

Get information about package:
```shell
pacman -Si <package>...
```

Install a package from local package file (.tar.xz):
```shell
pacman -U <file>
```

List explicitly installed packages:
```shell
pacman -Qe
```

List orphan packages (installed as dependencies and not required anymore):
```shell
pacman -Qdt
```

List installed packages and versions:
```shell
pacman -Q
```

Empty the entire pacman cache:
```shell
pacman -Scc
```